.itc-select {
  position: relative;
  z-index: 1;

}

.itc-select__toggle {
  display: flex;
  justify-content: space-between;
  align-items: center;
  width: 100%;
  font-family: Roboto, Arial, sans-serif;  
  font-weight: 400;
  font-size: 18px;  
  color: #66696f;
  line-height: 1.4;
  background-color: #fff;
  border: 0px solid #ccc;
  border-radius: 0.3125rem;
  cursor: pointer;
  user-select: none;
  overflow: hidden;
  text-overflow: ellipsis;
  white-space: nowrap;

}

/*Стилизация скролла*/
*::-webkit-scrollbar {
  width: 12px;
height:25px;  /* ширина scrollbar */
}
*::-webkit-scrollbar-track {
  background: white; 
  border-radius: 20px;   /* цвет дорожки */

}
*::-webkit-scrollbar-thumb {
  background-color: #bcbdc2;    /* цвет плашки */
  border-radius: 20px;       /* закругления плашки */
  border: 3px solid white;  /* padding вокруг плашки */
}


.itc-select__toggle::after {
  flex-shrink: 0;
  width: 0.75rem;
  height: 0.75rem;
  margin-left: 1rem;
  background-image: url('data:image/svg+xml,%3Csvg xmlns="http://www.w3.org/2000/svg" height="100" width="100"%3E%3Cpath%20fill%3D%22%239b9da3%22%20d="M97.625 25.3l-4.813-4.89c-1.668-1.606-3.616-2.41-5.84-2.41-2.27 0-4.194.804-5.777 2.41L50 52.087 18.806 20.412C17.223 18.805 15.298 18 13.03 18c-2.225 0-4.172.804-5.84 2.41l-4.75 4.89C.813 26.95 0 28.927 0 31.23c0 2.346.814 4.301 2.439 5.865l41.784 42.428C45.764 81.174 47.689 82 50 82c2.268 0 4.215-.826 5.84-2.476l41.784-42.428c1.584-1.608 2.376-3.563 2.376-5.865 0-2.26-.792-4.236-2.375-5.932z"/%3E%3C/svg%3E');
  background-size: cover;
  content: "";
  
}

.itc-select__toggle:focus {
  outline: none; 
   width: 100%; 
}

.itc-select_show .itc-select__toggle::after {
  transform: rotate(180deg);
}


.itc-select__dropdown {
  display: flex;
  justify-content: space-around;
  align-items: center;
  scrollbar-width: thin;
  position: relative;
  top: 20px;
  right: 0;
  left: -22;
  width: calc(100% + 53px);
  display: none;
  max-height: 20rem;
  overflow-y: auto;
  background-color: #fff;
  border: 1px solid #dcdcde;
  border-radius: 12px;
  font-family: Roboto, Arial, sans-serif;  
  font-weight: 400;
  font-size: 18px;
  color: #66696f;
  box-shadow: -1px 4px 15px 3px rgba(195,196,199,0.54);
  transition: 0.5s ease-out;
}

.itc-select_show .itc-select__dropdown {
  display: block;

}

.itc-select_show .itc-select__backdrop {
  display: block;
}

.itc-select__options {
  margin: 0 0 0 -20;
  padding: 0;
  list-style: none;
  transition: 0.5s ease-out;
}

.itc-select__option {
  padding: 10 20;
  margin-left: 20px;
  transition: 0.5s ease-out;
}

.itc-select__option_selected {
  display: flex;
  justify-content: space-between;
  align-items: center;
  background-color: #e1f5fe;
  transition: 0.5s ease-out;
}

.itc-select__option_selected::after {
  width: 0.75rem;
  height: 0.75rem;
  color: #0277bd;
  background-size: cover;
  content: "";
}

.itc-select__option:hover {
  background-color: #f5f5f5;
  cursor: pointer;
  transition: 0.2s background-color ease-in-out;
  
}
  
